Bug 133230 - DBChange should abort when parse errors are detectable
DBChange should abort when parse errors are detectable
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other (Show other bugs)
unspecified
All Linux
medium Severity high
: ---
: ---
Assigned To: Karen Jacqmin-Adams
Red Hat Satellite QA List
:
Depends On:
Blocks: 141521
  Show dependency treegraph
 
Reported: 2004-09-22 12:33 EDT by Peter Jones
Modified: 2008-05-02 14:21 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-02 14:21:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Jones 2004-09-22 12:33:52 EDT
If a stored procedure has an "end" statement that lacks a name, we
currently don't recognize it as the end of the procedure.  dbchange
should exit with an error message before trying to apply the change to
the db if it knows that this is the case.
Comment 1 Karen Jacqmin-Adams 2004-10-06 16:47:21 EDT
Deferring to rhn370.
Comment 2 Karen Jacqmin-Adams 2005-01-21 15:31:13 EST
Changed dbchange to call new parsing logic before connecting to the
database.  Moving to ON_DEV.
Comment 3 Karen Jacqmin-Adams 2005-01-21 15:39:57 EST
updated hours worked.
Comment 5 Clifford Perry 2008-05-02 14:21:54 EDT
Assume this is fixed. Closing this one out. Cliff. 

Note You need to log in before you can comment on or make changes to this bug.